<?php
/**
 * @package comments-avatar-lazyload
 */
/*
Plugin Name: Comments Avatar Lazyload
Plugin URI: http://litefeel.com/comments-avatar-lazyload/
Description: Comments Avatar Lazyload at server side load replace the src property of img tag. It is relly lazyload. It was successfully checked by W3C. 
Version: 2.4.2
Author: lite3
Author URI: http://www.litefeel.com/
License: GPLv2 or later
*/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, lite3@qq.com.
*/

/* options */
/* ------------------------------------------------------------ */
class CommentsAvatarLazyloadOptions {

	function getOptions() {
		$options = get_option('commentsAvatarLazyload_options');
		if (!is_array($options)) {
			// $options['load_jquery']	= true;
			$options['load_js_at_front_page'] = false;
			update_option('commentsAvatarLazyload_options', $options);
		}
		return $options;
	}
	
	function add() {
		if(isset($_POST['commentsAvatarLazylaod_save'])) {
			$options = CommentsAvatarLazyloadOptions::getOptions();

			// load_jquery
			// if(!$_POST['load_jquery']) {
				// $options['load_jquery'] = (bool)false;
			// } else {
				// $options['load_jquery'] = (bool)true;
			// }
			if(!$_POST['load_js_at_front_page']) {
				$options['load_js_at_front_page'] = (bool)false;
			} else {
				$options['load_js_at_front_page'] = (bool)true;
			}
			update_option('commentsAvatarLazyload_options', $options);
		}else{
			CommentsAvatarLazyloadOptions::getOptions();
		}

		add_options_page(__('Comments Avatar Lazyload', 'comments-avatar-lazyload'), __('Comments Avatar Lazyload', 'comments-avatar-lazyload'), 10, basename(__FILE__), array('CommentsAvatarLazyloadOptions', 'display'));
	}

	function display() {
		$options = CommentsAvatarLazyloadOptions::getOptions();
?>

<div class="wrap">
	<div class="icon32" id="icon-options-general"><br /></div>
	<h2><?php _e('CommentsAvatarLazyload Options', 'comments-avatar-lazyload'); ?></h2>

	<div id="poststuff" class="has-right-sidebar">
		<div class="inner-sidebar">
			<div id="donate" class="postbox" style="border:2px solid #080;">
				<h3 class="hndle" style="color:#080;cursor:default;"><?php _e('Donation', 'comments-avatar-lazyload'); ?></h3>
				<div class="inside">
					<p><?php _e('If you like this plugin, please donate to support development and maintenance!', 'comments-avatar-lazyload'); ?>
					<br /><br /><strong><a href="https://me.alipay.com/lite3" target="_blank"><?php _e('Donate by alipay', 'comments-avatar-lazyload'); ?></a></strong><style>#donate form{display:none;}</style>
					</p>
				</div>
			</div>

			<div class="postbox">
				<h3 class="hndle" style="cursor:default;"><?php _e('About Author', 'comments-avatar-lazyload'); ?></h3>
				<div class="inside">
					<ul>
						<li><a href="http://www.litefeel.com/" target="_blank"><?php _e('Author Blog', 'comments-avatar-lazyload'); ?></a></li>
						<li><a href="http://www.litefeel.com/plugins/" target="_blank"><?php _e('More Plugins', 'comments-avatar-lazyload'); ?></a></li>
					</ul>
				</div>					
			</div>
		</div>

		<div id="post-body">
			<div id="post-body-content">

<form action="#" method="POST" enctype="multipart/form-data" name="commentsavatarlazyload_form">
		<div>
							<input name="load_js_at_front_page" type="checkbox" <?php if($options['load_js_at_front_page']) echo 'checked="checked"'; ?> />
							 <?php _e('Comments will be displayed on the home page. If your comments will not be displayed on the home page, do not choose this option.', 'flashshowandhidebox'); ?>
						</div>

		<p class="submit">
			<input class="button-primary" type="submit" name="commentsAvatarLazylaod_save" value="<?php _e('Save Changes', 'comments-avatar-lazyload'); ?>" />
		</p>
</form>
			</div>
		</div>

	</div>
</div>

<?php
	}
}

add_action('admin_menu', array('CommentsAvatarLazyloadOptions', 'add'));
/* l10n */
/* ------------------------------------------------------------ */
load_plugin_textdomain( 'comments-avatar-lazyload', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/');


add_action('template_redirect', 'call_load_static');
function call_load_static() {
	$options = get_option('commentsAvatarLazyload_options');
	// if($options['load_jquery']) {
		// wp_enqueue_script('jquery');
	// }
	// wp_enqueue_script('comments-avatar-lazyload-js',  plugins_url('js/lazyload.js', __FILE__), array(), '2.2', true);
	if($option['load_js_front_page'] || !is_front_page()) {
	//if($options['load_jquery']) {
		// wp_enqueue_script('jquery');
		wp_enqueue_script('comments-avatar-lazyload-js',  plugins_url('js/lazyload.js', __FILE__), array('jquery'), '2.4.2', true);
	}
}

add_filter('get_avatar','call_get_avatar_lazyload');
function call_get_avatar_lazyload($avatar) {
	if(is_admin()) return $avatar;
	if($_GET['action'] == 'rc-ajax') return $avatar;
	if($_GET['action'] == 'rc-content') return $avatar;
	$out = '';
	preg_match_all('/src=\'[^\']*\'|src="[^"]*"/',$avatar, $out);
	$tmp = $out[0][0];
	$avatar = str_replace($tmp, 'src="' . plugins_url('img/loading.gif', __FILE__). '"', $avatar);
	$tmp = str_replace('src' ,'alt', $tmp);
	$avatar = str_replace('alt=\'\'', $tmp, $avatar);
	$avatar = str_replace('alt=""', $tmp, $avatar);
	return $avatar;
}
add_action('wp_footer', 'call_remove_get_avatar_lazyload', 1);
function call_remove_get_avatar_lazyload() {
	remove_filter('get_avatar','call_get_avatar_lazyload');
}
?>